[b5c97e]: HACKING  Maximize  Restore  History

Download this file

36 lines (25 with data), 1.2 kB

If you want to hack on this gimp plugin,
it will make your life easier to have the following packages installed:

	- GNU autoconf >= 2.54
	- GNU automake >= 1.7
	- GIMP 2.0 or later plus the development libraries
	- glib-gettextize >= 2.0.0
	- intltoolize >= 0.17
	- xsltproc 
	- docbook xml stylesheets >= 1.67

If you are accessing gimp-plugin-ng via CVS, then you will need
to take several steps to get it to compile.  You can do all these steps
at once by running:

	./autogen.sh

Basically this does the following for you:

	aclocal; autoheader; intltoolize; automake; autoconf

	The above commands create the "configure" script.  Now you
	can run the configure script to create all the Makefiles.

Before running autogen.sh or configure, make sure you have libtool in
your path. Also make sure gimp-2.0.m4 is in the same --prefix relative
to your automake installation.

Note that autogen.sh runs configure for you.  If you wish to pass
options like --prefix=/usr to configure you can give those options
to autogen.sh and they will be passed on to configure. A full list of
options for configure can be obtained by running:

	./configure --help
	

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks